/* $Id: rsstat.h,v 1.6 1999/01/08 05:35:53 ashaikh Exp $ */

#ifndef _rsstat_h_
#define _rsstat_h_

#include "stat.h"
#include "topologydefs.h"
#include "rsdefs.h"


/********************************************************************************/
int
initRoutesimStats (double, topology_t *);
int
resetRoutesimStats (topology_t *);
void
cleanupRSStats (topology_t *);

void
collectSuccCallStats (call_t *);
void
collectFailCallStats (call_t *);
void
collectReqCallStats (call_t *);

void
printSingleStats (topology_t *);
void
printDualStats (topology_t *, topology_t *, topology_t *);



#endif


