/* $Id: rstraffic.h,v 1.7 1998/11/03 21:46:06 ashaikh Exp $ */

#ifndef _rstraffic_h_
#define _rstraffic_h_


#define	    TRAFFICFILENAME	    "rstraffic.dat"
#define	    MAX_TRAFFICFILE_LINE    128

#define	    HOLDTIME_CDF_FILE	    "holdcdf.dat"

#define	    DEFAULT_SCALE   1.0
#define	    DEFAULT_SHAPE   1.0

#define	    MAX_INTERARRIVAL_TRIES  5

#define	    RS_NO_TRAFFIC	    40  /* no traffic between specified nodes */

/********************************************************************************/
int
initRSTraffic (int);
int
cleanupRSTraffic (void);
     
double
getBandwidth (void);
double
getAvgBandwidth (void);

int
initTrafficMatrix (int);
int
readTrafficMatrix (void);
int
destroyTrafficMatrix (void);

double
getInterarrival (int, int);
double
getAvgInterarrival (int, int);
double
getAvgArrival (int, int);
void
printArrivalSpec (void);

double
getHoldTime (void);
double
getAvgHoldTime (void);
void
printHoldSpec (void);





#endif
