#$Id$
#$Source$
#
# Strings to look for when postprocessing routesim output
#
# format:  $matchstring{dirname} = string
#   dirname is the directory that will be created for the graph data files
#   string is what is matched in the raw output file
#
%matchstring = ();
$matchstring{calls} = "Total calls created";
$matchstring{failures} = "Failed calls";
$matchstring{routefail} = "Routing failures";
$matchstring{sigfail} = "Signalling failures";
$matchstring{routefailrate} = "Route failure rate";
$matchstring{sigfailrate} = "Sig. failure rate";
$matchstring{callblk} = "Call blocking rate";
#$matchstring{callblkdev} = "Call blocking rate std. dev.";
$matchstring{bwblk} = "BW blocking rate";
$matchstring{hcblk} = "Hopcount blocking rate";
$matchstring{sigblk} = "Signalling blocking prop.";
$matchstring{routeblk} = "Routing blocking prop.";
$matchstring{sigcallblk} = "Signalling blocking";
$matchstring{routecallblk} = "Routing blocking";
$matchstring{hcbwblk} = "Hopcount-BW blocking rate";
#$matchstring{hcbwcov} = "Hops-BW blocking covariance";
$matchstring{util} = "Exact utilization";
$matchstring{minhoprat} = "Hopcount to minhop ratio";
$matchstring{avghopdiff} = "Avg. hopcount diff";
#$matchstring{maxhopdiff} = "Max hopcount diff";
$matchstring{linkupdrate} = "Link update rate";
#$matchstring{plinkupd} = "Refresh link updates";
#$matchstring{tlinkupd} = "Triggered link updates";
#$matchstring{dlinkupd} = "Deferred link updates";
#$matchstring{elinkupd} = "Extraneous updates";
$matchstring{injload} = "Total injected load";
$matchstring{residual} = "Avg. residual bandwidth";
$matchstring{updinterval} = "Avg. update interval";
$matchstring{hop2} = "2-hop Blocking rate";
$matchstring{hop3} = "3-hop Blocking rate";
$matchstring{hop4} = "4-hop Blocking rate";
$matchstring{hop5} = "5-hop Blocking rate";
$matchstring{hop6} = "6-hop Blocking rate";
## precomputed stuff
$matchstring{routecomprate} = "Overall computation rate";
$matchstring{cachehit} = "Route cache hit rate";
$matchstring{rcompspersucccall} = "Route comp per admitted";
$matchstring{rcompsperfailcall} = "Route comp per blocked";
$matchstring{sigrateperreq} = "Sig. att. per requested call";
$matchstring{sigratepersigcall} = "Sig. att. per signalled call";
$matchstring{sigratepernode} = "Signalling rate per node";
$matchstring{sigattpersucccall} = "Sig. attempts per admitted";
$matchstring{sigattperfailcall} = "Sig. attempts per blocked";
$matchstring{extattpercall} = "Extract att. per call";
$matchstring{extattpersucccall} = "Extract att. per admitted";
$matchstring{extattperfailcall} = "Extract att. per blocked";
## link util
$matchstring{linkutil} = "Avg. link util " . "\(" . "all links" . "\)";
$matchstring{linkunderutil} = "Time underutilized";
$matchstring{linkoverutil} = "Time overutilized";
$matchstring{linkviolutil} = "Time in violation";
$matchstring{linkflowunderutil} = "Time-flows underutilized";
$matchstring{linkflowoverutil} = "Time-flows overutilized";
$matchstring{linkflowviolutil} = "Time-flows in violation";
$matchstring{avgunderutil} = "Avg. underutilization";
$matchstring{avgoverutil} = "Avg. overutilization";
$matchstring{avgviolutil} = "Avg. violation";
$matchstring{totaltime} = "Total elapsed time";
$matchstring{warmuptime} = "Warmup time";
# return a true value
1;
