set output "G3.ps"
set terminal postscript
set title "MCI topology (19 nodes)"
set xlabel "Number of paths (k)"
set ylabel "Call blocking rate"
set y2label "# nodes visited"
set xtics 0, 1, 10
set yrange [0:0.15]
set y2range [0:30]
set y2tics 0, 5, 30
set xrange [0:10]
plot "G3" using 1:2 title  "Call-blocking" with linespoints 3, "G3" using 1:3 axes x1y2 title "# nodes visited/call" with linespoints 5 

