set output "G12.ps"
set terminal postscript eps
set title "Random topology (75 nodes)"
set xlabel "Number of paths (k)"
set ylabel "Call blocking rate"
set y2label "# nodes visited"
set xtics 0, 5, 20
set yrange [0:0.6]
set y2range [0:70]
set y2tics 0, 10, 100
set xrange [0:20]
plot "G12" using 1:2 title  "Call-blocking" with linespoints 3, "G12" using 1:3 axes x1y2 title "# nodes visited/call" with linespoints 5 

