set output "G13.ps"
set terminal postscript eps
set title "Effect of bandwidth on the Call blocking rate - MCI Topology"
set xlabel "link-state update period (unit times)"
set ylabel "Call blocking rate"
set xtics 0, 10, 120
set yrange [0:0.4]
plot "G13" using 1:2 title  "b~6%" with linespoints, "G13" using 1:3 title "b~8%" with linespoints, "G13" using 1:4 title "b~10%" with linespoints


