#$Id: Xmgr_parms.pm,v 1.1 1997/07/09 22:43:30 shaikh Exp shaikh $
#$Source: /home/shaikh/routesim/RCS/Xmgr_parms.pm,v $
#
# some default variable declarations for generating xmgr parameter files
#

%graphparms = ();
$graphparms{view}->{xmin} =  0.100000;
$graphparms{view}->{xmax} =  0.900000;
$graphparms{view}->{ymin} =  0.100000;
$graphparms{view}->{ymax} =  0.900000;
$graphparms{title} = "";
$graphparms{subtitle} = "";
$graphparms{sets}->{color} = 1;
$graphparms{sets}->{linewidth} = 1;
$graphparms{sets}->{"symbol size"} = 0.6;
$graphparms{sets}->{"symbol fill"} = 1;
$graphparms{sets}->{"symbol color"} = 1;
$graphparms{sets}->{"symbol linewidth"} = 1;
$graphparms{sets}->{"symbol linestyle"} = 1;

%setparms = ();
$setparms{symbol}->{size} = 0.6;
$setparms{symbol}->{fill} = 1;
$setparms{symbol}->{color} = 1;
$setparms{symbol}->{linewidth} = 1;
$setparms{symbol}->{linestyle} = 1;

%axes = ();
# global for both axes
#$axes{tick}->{major} = 0.5;
#$axes{tick}->{minor} = 0.25;
$axes{tick}->{offsetx} = 0.000000;
$axes{tick}->{offsety} = 0.000000;
$axes{tick}->{major} = "on";
$axes{tick}->{minor} = "on";
$axes{tick}->{default} = 6;
$axes{tick}->{type} = "auto";
$axes{tick}->{size} = 1.000000;
#$axes{tick}->{log} = "off";
#$axes{tick}->{op} = "both";
#$axes{tick}->{spec} = 0;
$axes{tick}->{"major color"} = 1;
$axes{tick}->{"major linewidth"} = 1;
$axes{tick}->{"major linestyle"} = 1;
$axes{tick}->{"major grid"} = "off";
$axes{tick}->{"minor color"} = 1;
$axes{tick}->{"minor linewidth"} = 1;
$axes{tick}->{"minor linestyle"} = 1;
$axes{tick}->{"minor size"} = 0.500000;
$axes{tick}->{"minor grid"} ="off";

$axes{label}->{layout} = "para";
$axes{label}->{place} = "auto";
$axes{label}->{"char size"} = 1.000000;
$axes{label}->{font} = 4;
$axes{label}->{color} = 1;
$axes{label}->{linewidth} = 1;
#$axes  label "Requested Bandwidth";

#$axes{ticklabel}->on;
$axes{ticklabel}->{type} = "auto";
$axes{ticklabel}->{prec} = 2;
$axes{ticklabel}->{"format"} = "decimal";
$axes{ticklabel}->{append} = "\"\"";
$axes{ticklabel}->{prepend} = "\"\"";
$axes{ticklabel}->{layout} = "horizontal";
$axes{ticklabel}->{skip} = 0;
$axes{ticklabel}->{stagger} = 0;
#$axes{ticklabel}->{op} = "bottom";
#$axes{ticklabel}->{sign} = "normal";
$axes{ticklabel}->{"start type"} = "auto";
#$axes{ticklabel}->{start} = 0.000000;
$axes{ticklabel}->{"stop type"} = "auto";
#$axes{ticklabel}->{stop} = 0.000000;
$axes{ticklabel}->{"char size"} = .8000000;
$axes{ticklabel}->{font} = 4;
$axes{ticklabel}->{color} = 1;
$axes{ticklabel}->{linewidth} = 1;
$axes{bar} = "off";
$axes{bar}->{color} = 1;
$axes{bar}->{linestyle} = 1;
$axes{bar}->{linewidth} = 1;

%legends = ();
$legends{loctype} = "view";
$legends{layout} = 0;
$legends{vgap} = 2;
$legends{hgap} = 1;
$legends{"length"} = 4;
$legends{box} = "off";
#$legends{box}->{fill} = "off";
#$legends{box}->{"fill with"} = "color";
#$legends{box}->{"fill color"} = 0;
#$legends{box}->{"fill pattern"} = 1;
#$legends{box}->{color} = 1;
#$legends{box}->{linewidth} = 1;
#$legends{box}->{linestyle} = 1;
$legends{x1} = 0.15;
$legends{y1} = 0.85;
$legends{font} = 4;
$legends{"char size"} = 0.800000;
$legends{linestyle} = 1;
$legends{linewidth} = 1;
$legends{color} = 1;

%frame = ();
$frame{type} = 0;
$frame{linestyle} = 1;
$frame{linewidth} = 1;
$frame{color} = 1;
$frame{fill} = "off";
$frame{"background color"} = 0;

# return a true value
1;
