set output "G4.ps"
set terminal postscript eps
set title "Random topology (50 nodes)"
set xlabel "Number of paths (k)"
set ylabel "Call blocking rate"
set y2label "# nodes visited"
set xtics 0, 5, 30
set yrange [0:0.5]
set y2range [0:100]
set y2tics 0, 10, 100
set xrange [0:30]
plot "G4" using 1:2 title  "Call-blocking" with linespoints 3, "G4" using 1:3 axes x1y2 title "# nodes visited/call" with linespoints 5 

