set output "G7.ps"
set terminal postscript eps
set title "Call-blocking across Topologies"
set xlabel "link-state update period (unit times)"
set ylabel "Call blocking rate"
set xtics 0, 10, 120
set yrange [0:0.6]
set xrange [0:120]
set label "MCI" at 70, 0.09
set label "Random (50 nodes)" at 70, 0.4
set label "Random (75 nodes)" at 70, 0.51
plot "G7" using 1:2 title  "Source Routing" with lines 2, "G7" using 1:3 notitle with lines 2, "G7" using 1:4 notitle with lines 2, 0.0720 title "Selective Flooding" with lines 3, 0.3895 notitle with lines 3, 0.4955 notitle with lines 3  

