/* $Id: usercdf.h,v 1.5 1999/01/29 04:28:50 ashaikh Exp $ */


#ifndef _usercdf_h_
#define _usercdf_h_


typedef struct {
  double    u;
  double    x;
} cdfentry_t;

typedef	struct {
  int		numvalues;
  double	avg;
  cdfentry_t*   values;
}  cdf_t;

/********************************************************************************/
int
readCDFFile (cdf_t **, const char *);
int
readCDFStdin (cdf_t **);

int
splitCDF (cdf_t *, double, cdf_t **, cdf_t **);

double
getCDFAvg (cdf_t *);
     
double
sampleCDF (cdf_t *);

double
getCDFVal (cdf_t *, double);

int
destroyCDF (cdf_t *);

void
printCDF (cdf_t *);

int
dumpCDFFile (cdf_t *, char *);

void
printCDFGraph (cdf_t *);

#endif
